BOS_RESTART(8)

NAME
bos_restart - Restarts a server process

SYNOPSIS
bos restart -server <machine name> [-instance <instances>+]
    [-bosserver] [-all] [-cell <cell name>] [-noauth]
    [-localauth] [-help]

bos res -s <machine name> [-i <instances>+] [-b]
    [-a] [-c <cell name>] [-n] [-l] [-h]

DESCRIPTION
The bos restart command stops and immediately restarts server processes on the server machine named by the -server argument. Indicate which process or processes to restart by providing one of the following arguments:

•   The -instance argument names each AFS server process to stop and restart immediately, regardless of its status flag in the /usr/afs/local/BosConfig file. Do not include bosserver in the list of processes; use the -bosserver flag instead.

•   The -bosserver flag stops all AFS server processes running on the machine, including the BOS Server. A new BOS Server starts immediately, and it starts a new instance of each process that is marked with the "Run" status flag in the BosConfig file.

•   The -all flag stops all AFS server processes running on the machine, except the BOS Server, and immediately restarts the processes that are marked with the "Run" status flag in the BosConfig file.

This command does not change a process's status flag in the BosConfig file.

OPTIONS

-server <machine name>
    Indicates the server machine on which to restart each process. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see bos(8).

-instance <instances>+
    Names each process to stop and then restart immediately regardless of its status flag setting. Use the process name assigned with the -instance argument to the bos create command. The output from the bos status command lists the names. Provide this flag or one of the -bosserver or -all options, but do not combine them.

-bosserver
    Stops all AFS server processes running on the machine, including the BOS Server. A new BOS Server instance immediately starts, and starts all processes marked with the "Run" status flag in the BosConfig file. Provide this flag or one of the -instance or -all options, but do not combine them.

-all
    Stops all AFS server processes running on the machine other than the BOS Server, and immediately restarts the processes marked with the Run status flag in the BosConfig file. Provide this flag or one of the -instance or -bosserver options, but do not combine them.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see bos(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see bos(8).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile or /usr/afs/etc/KeyFileExt file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see bos(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command stops and restarts all processes running on the machine "fs3.example.com", including the BOS Server.

   % bos restart -server fs3.example.com -bosserver

The following command stops and restarts all processes running on the machine "fs5.example.com", excluding the BOS Server.

   % bos restart -server fs5.example.com -all

The following command stops and restarts the Protection Server and Volume Location (VL) Server processes on the machine "db3.example.com":

   % bos restart -server db3.example.com -instance ptserver vlserver

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
BosConfig(5), KeyFile(5), KeyFileExt(5), UserList(5), bos(8), bos_create(8), bos_status(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.